org.apache.lucene.util

## Interface IOUtils.IOConsumer<T>

- Enclosing class:
    IOUtils
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface IOUtils.IOConsumer<T>

  An IO operation with a single input.
  See Also:
    `Consumer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(T input)` Performs this operation on the given argument.

- - ### Method Detail

    - #### accept

          void accept(T input)
               throws IOException

      Performs this operation on the given argument.
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.